Subject: [os2genau_digest] No. 966
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Wed, 27 Oct 2004 00:01:09 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Tuesday 26 October 2004
 Number  966
**************************************************

Subjects for today
 
1   Want to possibly lose your JFS volumes? Multiboot with W2KPSP4 [or XP?] : Mike O'Connor <mikeoc at dodo dot com dot au>
2   [Fwd: New file uploaded to os2user] - W2K vs. JFS : Mike O'Connor <mikeoc at dodo dot com dot au>
3   [Fwd: New file uploaded to os2user] - W2K vs. JFS [second file] : Mike O'Connor <mikeoc at dodo dot com dot au>
4   Sorry about two missing attachments  - herewith included : Mike O'Connor <mikeoc at dodo dot com dot au>
5   USB HD ? : Voytek Eymont" <voytek at sbt dot net dot au>
6  Re:  USB HD ? : Mike O'Connor <mikeoc at dodo dot com dot au>

**= Email   1 ==========================**

Date:  Tue, 26 Oct 2004 02:09:01 +1000
From:  Mike O'Connor <mikeoc at dodo dot com dot au>
Subject:   Want to possibly lose your JFS volumes? Multiboot with W2KPSP4 [or XP?]

Hi All ,
Posted to both os2user and ecomstation groups on Yahoo & also to 
os2genau at os2 dot org dot au in view of the possible seriousness of the problem, 
so please excuse the multi-posting.

I have been getting cheesed-off at the problem with multi-booting 
OS/2-eCS with W2KProSP4 [could still be the same also with XP?].

Following a "not-as-attentive-as-I-should-have-been" multi-boot to 
W2KPSP4, and not aborting the process in time, W2KPSP4 now "recognises" 
all JFS drives as "FAT", even those >2GB, and tries very, very hard in 
the [now - on every boot] text-mode part of the boot process to "FIX" 
them with CHKDSK.

Definitely not a case to let it boot "unattended" there!  Even in 
"attended" mode you have to be very quick to stop it doing a CHKDSK on 
all those "FAT" volumes, as of course it's idea of "fixing" them is 
definitely not a good idea!

I have posted an annotated screenshot of the W2KPSP4 interface showing 
the problem, plus another shot from LVMGUI showing the *real* volume 
name of the volume referenced below, on the files-area of the 
os2user at yahoogroups dot com group.

Following this is a text reproduction of the Disk Management Tools 
display here on one system with a few JFS volumes.
Note that *all* of these volumes, bar one - see below, have had their 
driveletters "removed" in that same interface. This has always been a 
problem with W2KP, especially after any repartitioning/volume changes, 
but it now happens on *every* boot to it.

Most of the displayed partitions are in their physical order as seen by 
W2KPSP4, with "recgnised as valid" partitions [FAT & FAT32] at end of 
list. The exception is the [JFS]volume K, located on Disk #1, which 
somehow W2KPSP4 has allocated a "Volume" label of [HEX-string] "21 0e e4 
cc 2e 46 18 c7 80 90 c4".

Doing a GU search of that JFS volume it's only found once, in Logical 
Sector Number 561, located on Cyl 0, Hd 9, Sector 58 at offset 0x0060, 
not where an expected volume label should turn up.

The "BOX-characters" in the screenshot replace the HEX values of 0e, cc, 
18, c7, c4 in above string.

There was *no* drive-letter attached to that volume under W2KPSP4, so 
impossible to remove same. It appears that this mutilation is what is 
now causing W2KPSP4 to "find" and identify all JFS-volumes as "FAT" on 
bootup.

This disk is a "test-bed" so a lot of partitions have their 
volume-letters shuffled in the process, two partitions were badly 
affected [CRCs no longer reliably read in system area of partition] by 
power outage problems prior to buying a UPS for the system, and many 
have variable volume letters, as required.

Noting comments elsewhere about AirBOOT 1.03 no longer using 
Volume-labels, but only Partition names, I wonder whether Martin Kiewitz 
has encountered a similar problem?
--------------------------------------------------
File      Status         Capacity   Free   % Free  Disk# & FS
System                              Space
      Win/LVM letter
_____________________________________________________________

[IBM BM]  Healthy(Active)    8 MB     8 MB  100 %  #1 BM
      -/E Healthy         1004 MB  1004 MB  100 %  #1 HPFS
      -/- Healthy         2.93 GB  2.93 GB  100 %  #1 LINUX
      -/- Healthy          518 MB   518 MB  100 %  #1 RH SWAP
      -/P Healthy(Active) 1.47 GB  1.47 GB  100 %  #1 HPFS
      -/H Healthy         1004 MB  1004 MB  100 %  #1 HPFS
      -/- Healthy         1004 MB  1004 MB  100 %  #1 HPFS-BAD CRCs [unused]
      -/J Healthy(Active)  981 MB   981 MB  100 %  #1 HPFS
      -/L Healthy(Active) 1012 MB  1012 MB  100 %  #1 HPFS
      -/F Healthy(Active) 1.00 GB  1.00 GB  100 %  #1 HPFS
      -/N Healthy(Active) 1012 MB  1012 MB  100 %  #1 HPFS
      -/I Healthy(Active)   24 MB    24 MB  100 %  #1 HPFS
FAT** -/Q Healthy(Active)  493 MB   365 MB   74 %  #1 JFS
      -/S Healthy(Active)  800 MB   800 MB  100 %  #1 HPFS
FAT** -/M Healthy(Active)  792 MB   677 MB   85 %  #1 JFS
FAT** -/V Healthy(Active) 4.88 GB  2.89 GB   59 %  #1 JFS
FAT** -/G Healthy(Active) 1003 MB   732 MB   72 %  #1 JFS
FAT** -/R Healthy(Active) 4.88 GB  3.03 GB   62 %  #1 JFS
      -/- Healthy(Active)    8 MB     8 MB  100 %  #1 XOSL
FAT** -/O Healthy(Active) 1.95 GB  1.30 GB   66 %  #1 JFS
      -/d Healthy         1.47 GB  1.47 MB  100 %  #2 HPFS
FAT** -/D Healthy(Active)  799 MB   640 MB   80 %  #2 JFS
FAT** -/W Healthy         2.56 GB  1.66 GB   64 %  #2 JFS
FAT** -/X Healthy         2.93 GB  1.95 GB   66 %  #2 JFS
FAT** ?/K Healthy(Active)  493 MB   329 MB   66 %  #1 JFS [volname GARBAGED]
FAT*  E/U Healthy(Active)  474 MB   471 MB   99 %  #3 FAT [USB-PenDrive]
FAT32 C/C Healthy(Boot)   4.88 GB  3.07 GB   62 %  #1 FAT32-W2KPSP4 BOOT
NTFS  O/T Healthy          400 MB    97 MB   24 %  #1 NTFS

Amount & % FREE numbers bear no relation to truth, apart from last 3 
entries!

* 512MB USB-FLASH drive was FAT, but now JFS too!

** W2K PRO SP4 tries [very, very hard - CAN'T BE LEFT UNATTENDED!]
in the text-mode part of the boot process to FIX these JFS drives
even though they have had their [WIN] drive-letters removed with the
Disk Management Tools in W2KP SP4!!!

Maybe JvW can come up with something in DFSee to fix this problem,
which makes the former IBM BM problem look like peanuts!!

-- 
Regards,
Mike

Failed the exam for
--------------------
MCSE - Minesweeper Consultant and Solitaire Expert
--------------------
[ISP blocks *.exe, *.cmd, *.bat, *.reg attachments]
[Please use zipped versions of above]

----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Tue, 26 Oct 2004 02:14:29 +1000
From:  Mike O'Connor <mikeoc at dodo dot com dot au>
Subject:   [Fwd: New file uploaded to os2user] - W2K vs. JFS

Earlier message refers - W2K/JFS problem

-- 
Regards,
Mike

Failed the exam for
--------------------
MCSE - Minesweeper Consultant and Solitaire Expert
--------------------
[ISP blocks *.exe, *.cmd, *.bat, *.reg attachments]
[Please use zipped versions of above]

[attachments have been removed]
----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Tue, 26 Oct 2004 02:16:07 +1000
From:  Mike O'Connor <mikeoc at dodo dot com dot au>
Subject:   [Fwd: New file uploaded to os2user] - W2K vs. JFS [second file]

[See previous message]

-- 
Regards,
Mike

Failed the exam for
--------------------
MCSE - Minesweeper Consultant and Solitaire Expert
--------------------
[ISP blocks *.exe, *.cmd, *.bat, *.reg attachments]
[Please use zipped versions of above]

[attachments have been removed]
----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Tue, 26 Oct 2004 02:28:39 +1000
From:  Mike O'Connor <mikeoc at dodo dot com dot au>
Subject:   Sorry about two missing attachments  - herewith included

[Herewith missing attachments referred to earlier]

These are the illustrations of the W2K vs. JFS problem here

W2K now seeing JFS as FAT!

This email message is a notification to let you know that
a file has been uploaded to the Files area of the os2user
group.

  File        : /Partition with _funny_ label from W2KPSP4.gif
  Uploaded by : mikeoconwarp <mikeoc at dodo dot com dot au>
  Description : Refers to W2KPSP4-JFS as FAT problem

You can access this file at the URL:
http://groups.yahoo dot com/group/os2user/files/Partition%20with%20_funny_%20label%20from%20W2KPSP4.gif 

This email message is a notification to let you know that
a file has been uploaded to the Files area of the os2user
group.

  File        : 
/Annotated-FAT-drives-actually-all-are-JFS-in-W2K-Pro-SP4.GIF
  Uploaded by : mikeoconwarp <mikeoc at dodo dot com dot au>
  Description : Illustration of W2KPSP4 conflict with JFS drives [ seen 
as FAT!]

You can access this file at the URL:
http://groups.yahoo dot com/group/os2user/files/Annotated-FAT-drives-actually-all-are-JFS-in-W2K-Pro-SP4.GIF 

-- 
Regards,
Mike

Failed the exam for
--------------------
MCSE - Minesweeper Consultant and Solitaire Expert
--------------------
[ISP blocks *.exe, *.cmd, *.bat, *.reg attachments]
[Please use zipped versions of above]

----------------------------------------------------------------------------------

**= Email   5 ==========================**

Date:  Tue, 26 Oct 2004 06:41:47 +1000 (EST)
From:  "Voytek Eymont" <voytek at sbt dot net dot au>
Subject:   USB HD ?

are USB HD supported ?

I have USB memory stick and USB card reader working fine,
now, I'd like to hook up a HD, the HD powers up, but, I can's see it

are HDs supported, does it need anything xtra in config ?

I have:

BASEDEV=USBUHCD.SYS
BASEDEV=USBUHCD.SYS
BASEDEV=USBUHCD.SYS
BASEDEV=USBEHCD.SYS
BASEDEV=USBD.SYS /REQ:USBUHCD$, USBEHCD$
BASEDEV=USBHID.SYS
BASEDEV=USBMSD.ADD /FLOPPIES:0 /REMOVABLES:5 /V

hcimonit You have 1 PCI USB UHCI host controller(s)
You have 3 PCI USB UHCI host controller(s)
You have 1 PCI USB EHCI host controller(s)

-- 
Voytek
----------------------------------------------------------------------------------
 
**= Email   6 ==========================**

Date:  Tue, 26 Oct 2004 06:52:51 +1000
From:  Mike O'Connor <mikeoc at dodo dot com dot au>
Subject:  Re:  USB HD ?

Voytek Eymont wrote:

>are USB HD supported ?
>
>I have USB memory stick and USB card reader working fine,
>now, I'd like to hook up a HD, the HD powers up, but, I can's see it
>
>are HDs supported, does it need anything xtra in config ?
>
>I have:
>
>BASEDEV=USBUHCD.SYS
>BASEDEV=USBUHCD.SYS
>BASEDEV=USBUHCD.SYS
>BASEDEV=USBEHCD.SYS
>BASEDEV=USBD.SYS /REQ:USBUHCD$, USBEHCD$
>BASEDEV=USBHID.SYS
>BASEDEV=USBMSD.ADD /FLOPPIES:0 /REMOVABLES:5 /V
>
>hcimonit You have 1 PCI USB UHCI host controller(s)
>You have 3 PCI USB UHCI host controller(s)
>You have 1 PCI USB EHCI host controller(s)
>

Hi Voytek,
Here's an extract from a response I received on os2hardware group on Yahoo:

A so-so price, maybe not for Oz.  Any USB Flash drive type works with the USB Mass Storage drivers available either Software Choice or eCS.  The drive appears as a removeable drive to OS/2. You run the Removeable Device Monitor in Startup and when a drive is inserted in the USB slot, a notification window appears that a new drive is available assigned to the next available drive letter.  
After storing files to the drive,remember to right-click the drive letter and Eject the drive before pulling it out of the USB slot.  Legend appears to be a decent brand, I have a 64MB Quick drive keychain doohickey and also a *80GB* *USB*/Firewire external storage hard drive that works well.

-- 
Regards,
Mike

Failed the exam for
--------------------
MCSE - Minesweeper Consultant and Solitaire Expert
--------------------
[ISP blocks *.exe, *.cmd, *.bat, *.reg attachments]
[Please use zipped versions of above]

----------------------------------------------------------------------------------